/******************************************************************************
**
**  Project Name:	A/UX AppleEvent Suite
**     File Name:	AUX-AESuite.h
**
**   Description:	A/UX AppleEvent Suite Definition
**
*/

#ifndef __TridentAESuite__
#define __TridentAESuite__
/*****************
//  Event Class  *
//****************/

#define kAEAUXSuite 'A/UX'

/*-------------------------------------------------------------------------*
 *
 *	AppleEvents for Trident      ***      AppleEvents for Trident
 *
 *-------------------------------------------------------------------------*/

#define kAEInterval 'jint'		/* Event ID. */
#define keyInterval 'tint'		/*typeInteger*/

#define kAEHeartBeat 'hart'		/* Event ID. */
#define kAENull 'null'			/* Event ID. */
#define kAEQuit 'quit'			/* Event ID. */
#define kAEVersion 'dver'		/* Event ID. */
#define keyAEVersion	'verx'	/* typeChar       : Software Version         */
#define keySessionID	'ssID'	/* typeInteger    : Session/Document ID      */

#define kAEJavMsg 'jmsg'		/* Event ID. */
#define keyMessageCode	'msgc'	/* typeInteger    : Discus Message Number    */
#define keyMsgString	'msgs'	/* typeChar       : Optional Message String  */


#endif  /* __AUXAESuite__ */


